std::chrono::month_weekday_last::ok(3)

NAME
std::chrono::month_weekday_last::ok - std::chrono::month_weekday_last::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if the contained month and weekday_last objects are valid.

Return value
   month().ok() && weekday_last().ok()

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     std::cout << std::boolalpha;
     auto mwdl {std::chrono::March/std::chrono::Wednesday[std::chrono::last]};
     std::cout << (mwdl.ok()) << ' ';
     mwdl = {std::chrono::month(3)/std::chrono::weekday(42)[std::chrono::last]};
     std::cout << (mwdl.ok()) << '\n';
 }

Output:
 true false